stages:

    import_luna_to_common_format:
        cmd: PYTHONPATH=. python experiment/luna/import_dataset/import_luna.py
        deps:
            - experiment/luna/import_dataset/import_luna.py
            - experiment_data/dataset/LUNA.PL
        outs:
            - experiment_data/dataset_relation_manager_data/luna

    luna_main_pipeline:
        cmd: |
            PYTHONPATH=. python -m spacy download pl_core_news_lg
            PYTHONPATH=. python experiment/luna/pipeline/luna_main.py
        deps:
            - experiment_data/dataset_relation_manager_data/luna
            - experiment_data/dataset/LUNA.PL
            - experiment_data/cached_asr/luna_techmo
        outs:
            - experiment_data/pipeline/asr_benchmark_luna
